> ## Documentation Index
> Fetch the complete documentation index at: https://docs.diga.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get call by ID

> Retrieve detailed information about a specific call including transcription summary, duration, cost, and recording URL if available.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/call/{id}
openapi: 3.1.0
info:
  title: Diga API
  version: 0.1.0
servers:
  - url: https://api.diga.io
    description: Production
security: []
paths:
  /v1/call/{id}:
    get:
      tags:
        - Calls
      summary: Get call by ID
      description: >-
        Retrieve detailed information about a specific call including
        transcription summary, duration, cost, and recording URL if available.
      operationId: get_call_v1_call__id__get
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Call ID
            description: The unique identifier for the call
          description: The unique identifier for the call
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CallResponse'
        '403':
          description: Forbidden - Insufficient permissions
          content:
            application/json:
              example:
                status: error
                error_code: INTERNAL_SERVER_ERROR
                message: Missing required permissions to view calls
              schema:
                $ref: '#/components/schemas/ErrorResponseSchema'
        '404':
          description: Call Not Found
          content:
            application/json:
              example:
                status: error
                error_code: CALL_NOT_FOUND
                message: Call 550e8400-e29b-41d4-a716-446655440000 not found
              schema:
                $ref: '#/components/schemas/ErrorResponseSchema'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              example:
                status: error
                error_code: INTERNAL_SERVER_ERROR
                message: 'Error: Internal Server Error'
              schema:
                $ref: '#/components/schemas/ErrorResponseSchema'
      security:
        - CustomHTTPBearer: []
components:
  schemas:
    CallResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Call ID
          description: The unique identifier for the call
        agent_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Agent ID
          description: The unique identifier for the agent that handled the call
        agent_version_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Agent Version ID
          description: The unique identifier for the agent version that handled the call
        status:
          $ref: '#/components/schemas/CallStatus'
          title: Call Status
          description: The current status of the call
        recording_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Recording URL
          description: The call recording URL.
        start_time:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Call Start Time
          description: The start time of the call
        end_time:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Call End Time
          description: The end time of the call, if ended
        duration:
          anyOf:
            - type: integer
            - type: 'null'
          title: Call Duration
          description: The call duration in seconds. `null` if the call has not ended
        type:
          $ref: '#/components/schemas/CallType'
          title: Call Type
          description: The direction of the phone call
        end_reason:
          anyOf:
            - type: string
            - type: 'null'
          title: End Reason
          description: The reason for call termination, if the call has ended
        contact:
          $ref: '#/components/schemas/ContactResponseSchema'
          title: Contact
          description: Details of the contact that initiated or received the call
        phone_register_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Phone ID
          description: The ID of the phone that was used to make or receive the call
        dynamic_variables:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Dynamic Variables
          description: A dictionary of dynamic variables that were used during the call
        created_date:
          type: string
          format: date-time
          title: Created Date
          description: The date and time when the call was created
      type: object
      required:
        - id
        - agent_id
        - agent_version_id
        - status
        - type
        - contact
        - phone_register_id
        - created_date
      title: CallResponse
    ErrorResponseSchema:
      properties:
        status:
          type: string
          title: Status
          description: Status of the response, always 'error' for error responses
          default: error
        error_code:
          type: string
          title: Error Code
          description: Machine-readable error code in SCREAMING_SNAKE_CASE format
          examples:
            - PROJECT_NOT_FOUND
            - INVALID_EMAIL
            - UNAUTHORIZED_ROLE
        message:
          type: string
          title: Message
          description: Human-readable error message with details
          examples:
            - Project with id 550e8400-e29b-41d4-a716-446655440000 not found
            - The email invalid@email is not valid
            - Insufficient permissions to perform this action
      type: object
      required:
        - error_code
        - message
      title: ErrorResponseSchema
      description: Standard error response format for all API errors.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CallStatus:
      type: string
      enum:
        - dialing
        - in_progress
        - completed
        - failed
        - transferred
        - no_answer
      title: CallStatus
    CallType:
      type: string
      enum:
        - inbound
        - outbound
      title: CallType
    ContactResponseSchema:
      properties:
        id:
          type: string
          format: uuid
          title: Caller ID
          description: Unique identifier for the caller
        created_date:
          type: string
          format: date-time
          title: Created Date
          description: >-
            The date and time when the callerwas registered for the first time.
            Notice thatthe caller is created just the first time they call.
        identifier:
          type: string
          title: Identifier
          description: >-
            The identifier of the caller. This is the phone number of the caller
            if it's a phone call contact or the browser identifier if it's a web
            contact.
        contact_type:
          $ref: '#/components/schemas/Channel'
          title: Contact Type
          description: The type of contact.
      type: object
      required:
        - id
        - created_date
        - identifier
        - contact_type
      title: ContactResponseSchema
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    Channel:
      type: string
      enum:
        - call
        - web
      title: Channel
  securitySchemes:
    CustomHTTPBearer:
      type: http
      scheme: bearer

````